<main class="w-full min-h-screen flex justify-center items-center bg-odb-100">
  <div class="max-w-sm h-fit bg-white shadow-xl rounded-xl p-8">
    <div class="flex w-full mb-4">
      <img
        src="/assets/images/logo-odb-color.png"
        class="w-48 mx-auto border-r border-gray-100"
        alt="Logo oportunidades de bancos - Blanco"
      />
    </div>
    <form
      class="py-4 border-y border-gray-400"
      [formGroup]="loginForm"
      (submit)="onSubmit()"
    >
      <label>E-mail</label>
      <input
        class="p-2 text-lg border-2 border-transparentrounded w-full"
        type="email"
        formControlName="email"
        placeholder="ej: info@oportunidadesdebancos.es"
      />
      <label>Contraseña</label>
      <input
        class="p-2 text-lg border-2 border-transparentrounded w-full"
        type="password"
        placeholder="ej: ********"
        formControlName="password"
      />
      <p class="text-red-500 textl-sm" *ngIf="loginError">
        E-mail o contraseña incorrectas
      </p>
      <p class="text-red-500 textl-sm" *ngIf="noEmail">
        Introduce tu email para reestablecer tu contraseña
      </p>
      <button
        class="p-2 mt-4 text-lg border-2 border-odb-500 bg-odb-500 text-gray-100 hover:bg-odb-800 rounded w-full"
        type="submit"
      >
        Iniciar sesión
      </button>
    </form>
    <p class="text-right w-full mt-4">
      <button
        type="button"
        (click)="resetPassword()"
        class="text-odb-500 hover:text-odb-800"
      >
        Reestablecer contraseña
      </button>
    </p>
  </div>
</main>
